/**
 * 描述：员工履历_教育经历
 */
shr.defineClass("shr.emp.resume.resumeEditPersonDegreeExt", shr.emp.resume.resumeEditPersonDegree, {

	initalizeDOM:function(){
		shr.emp.resume.resumeEditPersonDegreeExt.superClass.initalizeDOM.call(this);	
		
	},
	
	/**
	 * 校验日期是否正确输入
	 */
	verifyDate:function(){
	    // shr.showInfo({message: message});
		var startDate  = this.getFieldValue("enrollDate");
		var endDate = this.getFieldValue("graduateDate");
		if(startDate&&endDate){
		    var start=new Date(startDate.replace("-", "/").replace("-", "/"));  
			var end=new Date(endDate.replace("-", "/").replace("-", "/")); 
		    if(end<start){  
			    shr.showError({message: jsBizMultLan.emp_resumeEditPersonDegree_i18n_1});
                return false;	
            }  
		}
		var lEffectDate = new Date(endDate);
		var now = new Date(); 
		if(now.getTime() < lEffectDate.getTime()){
			shr.showInfo({message: "The graduation time cannot be longer than the current time !"});
			return false;
		}
		return true;
	}
	
	
});